<?php

namespace Shopping\Seller\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Seller policy
        'Shopping\Seller\Models\Seller' => \Shopping\Seller\Policies\SellerPolicy::class,
// Bind SellerBankInfo policy
        'Shopping\Seller\Models\SellerBankInfo' => \Shopping\Seller\Policies\SellerBankInfoPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
